> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v2/assurance/update-ai-adoption-approve-entry ## OpenAPI ````json POST /v2/assurance/update-ai-adoption-approve-entry { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v2/assurance/update-ai-adoption-approve-entry": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssuranceUpdateAiAdoptionApproveEntryPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssuranceUpdateAiAdoptionApproveEntryPostResponse" } } } } } } } }, "components": { "schemas": { "v2AssuranceUpdateAiAdoptionApproveEntryPostRequest": { "type": "object", "properties": { "approvedAppEntry": { "$ref": "#/components/schemas/assuranceApprovedAppEntryRequest" } }, "additionalProperties": false, "required": [ "approvedAppEntry" ] }, "v2AssuranceUpdateAiAdoptionApproveEntryPostResponse": { "type": "object", "properties": {}, "additionalProperties": false }, "assuranceApprovedAppEntryRequest": { "type": "object", "properties": { "appName": { "type": "string", "example": "example string", "description": "app name to approve (required)" }, "domain": { "type": "string", "example": "example string", "description": "app name to approve" }, "id": { "type": "string", "example": "example string", "description": "approved app entry identifier" }, "tagRequested": { "type": "string", "example": "ENUM_VALUE", "description": "resulting tag, approved or shadow (required)" } }, "additionalProperties": false, "required": [ "appName", "tagRequested" ] } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````